Draft Ligne

From FreeCAD Documentation
Revision as of 21:25, 3 January 2014 by Renatorivo (talk | contribs) (Created page with "==Options== <br /> Image:Draft Style 02.png <br /> * Pour entrer les coordonnées manuellement, entrez chaque composante,''' {{KEY|X}}, {{KEY|Y}} et {{KEY|Z}}''' et appuye...")
Jump to navigation Jump to search

Draft Line.svg Ligne

Emplacement du menu
Draft → Ligne
Ateliers
Planche à dessin (2d Draft)
Raccourci par défaut
L I
Introduit dans la version
-
Voir aussi
Filaire


Description

Cet outil demande à l'utilisateur de spécifier deux points et trace une ligne entre ceux-ci dans le plan de travail courant Draft Workingplane.png. Il prend la largeur et la couleur préalablement définies sur l'onglet Tâches ou à partir de la barre d'outils "d'application de Style" Draft Style 01.png (voir plus de détails en bas).
L'outil ligne se comporte comme une polyline (Draft Wire) Draft Wire.png à la différence qu'il s'arrête au bout deux points. Les points peuvent être choisis à l'aide de la souris dans la vue modèle 3D, ou bien par la saisie de coordonnées à l'aide du clavier.

Draft Line example.jpg

Utilisation


  1. Cliquez sur le bouton Draft Line.png Draft Line ou pressez sur les touches L puis I
  2. Cliquez le premier point dans la vue 3D view, ou entrez les coordonnées
  3. Cliquez le deuxième point dans la vue 3D view, ou entrez les coordonnées

Options


Draft Style 02.png

  • Pour entrer les coordonnées manuellement, entrez chaque composante, X, Y et Z et appuyez simplement sur ​​ENTRER.
  • Appuyez sur R ou cliquez sur la case à cocher/décocher du "mode relatif". Si le mode relatif est activé, les coordonnées du second point sont par rapport à la première. Si non, ils sont absolus, prises à partir du point d'origine (0,0,0).
  • Appuyez sur T ou cliquez sur la case à cocher/décocher continuer. Si le mode continuer est activé, l'outil ligne va redémarrer après que vous ayez donné le second point, vous permettant de dessiner un autre segment de ligne sans appuyer de nouveau sur la touche ligne Draft Line.png.
  • Sélectionner un point dans une zone vide de la vue modèle 3D, ou sur un objet existant.
  • Appuyer sur CTRL accroche le point sur un emplacement d'accrochage disponible, indépendamment de la longueur.
  • Appuyer sur SHIFT contraint le nouveau point en relation au point précédent.
  • Saisir des valeurs numériques insère une coordonnée manuellement.
  • Appuyer sur CTRL+Z ou sur le bouton Draft UndoLine.png Undo annule le point précédent.
  • Appuyer sur ESC annule l'opération.
  • La ligne nouvellement créée, adopte le style de ligne actif.


Plan et Style


Draft Style Plan Travail.png Donner un plan "front" (Le texte change suivant la sélection):
Draft Style Coordonnee XYZ.png

demande un "Décalage" par rapport aux coordonnées 0,0,0.
puis le choix entre un plan XY ou XZ ou YZ.
ou "Vue" plan perpendiculaire par rapport au plan actuel.
ou "Aucun" plan (libre).

Draft Style Mode Construction.png Active ou désactive le mode construction.
Draft Style Couleur Ligne.png Donne la couleur à la ligne (bord).
Draft Style Couleur Face.png Donne la couleur de fond à la forme.
Draft Style Epaisseur Ligne.png Donne l'épaisseur à la ligne (bord).
Draft Style Hauteur Texte.png Donne la hauteur du texte de 0 à 99,99 (très utile pour les cotations).
Draft Style Style.png Donne l'ensemble des paramètres de style aux objets sélectionnés.

Properties

  • DataStart: The start point
  • DataEnd: The end point

Scripting

The Line tool can by used in macros and from the python console by using the following function:

{{Code|code=
makeLine (Vector, Vector)
}}
  • Creates a line between the two given vectors. The current draft linewidth and color will be used.
  • Returns the newly created object.

Example:

{{Code|code=
import FreeCAD, Draft
Draft.makeLine(FreeCAD.Vector(0,0,0),FreeCAD.Vector(2,0,0))
}}
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский • ‎中文(中国大陆)‎